# InputHandler

Extends

Plugin to Phing to handle requests for user input.

author | Stefan Bodewig stefan.bodewig@epost.de
version | $Id: 5f69c44b818429e2fc92b8cb00e8971fcd6dce67 $
package | phing.input

### Methods

## Handle the request encapsulated in the argument.

    handleInput(\InputRequest $request) : void

Precondition: the request.getPrompt will return a non-null value.

Postcondition: request.getInput will return a non-null value, request.isInputValid will return true.

### Arguments

#### $request

`\InputRequest`